Bug 253939 - ftp/curl: the default curl/libcurl package does not have support for ssh type protocols
Summary: ftp/curl: the default curl/libcurl package does not have support for ssh type...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-01 15:28 UTC by Dennis Clarke
Modified: 2021-07-21 18:24 UTC (History)
1 user (show)

See Also:
linimon: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Clarke 2021-03-01 15:28:17 UTC
Default curl claims : 

$ /usr/local/bin/curl --version 
curl 7.74.0 (amd64-portbld-freebsd13.0) libcurl/7.74.0 OpenSSL/1.1.1j zlib/1.2.11 nghttp2/1.42.0
Release-Date: 2020-12-09
Protocols: dict file ftp ftps gopher http https imap imaps mqtt pop3 pop3s rtsp smtp smtps telnet tftp 
Features: alt-svc AsynchDNS GSS-API HTTP2 HTTPS-proxy IPv6 Kerberos Largefile libz NTLM NTLM_WB SPNEGO SSL TLS-SRP UnixSockets

So no support for scp or sftp etc etc. 

Easy to fix with the linkage to libssh2 : 

$ curl --version 
curl 7.75.0 (x86_64-unknown-freebsd13.0) libcurl/7.75.0 OpenSSL/1.1.1j zlib/1.2.11 libidn2/2.3.0 libssh2/1.9.0
Release-Date: 2021-02-03
Protocols: dict file ftp ftps gopher gophers http https imap imaps mqtt pop3 pop3s rtsp scp sftp smb smbs smtp smtps telnet tftp 
Features: alt-svc AsynchDNS HTTPS-proxy IDN Largefile libz NTLM NTLM_WB SSL TLS-SRP UnixSockets

I know that nghttp2 is removed there but this was to be a trivial build case.
Also curl 7.75.0 has been released.
Comment 1 commit-hook freebsd_committer 2021-07-21 18:16:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dd4df09808b40cac73f9bed55c8c2489bdee5f2f

commit dd4df09808b40cac73f9bed55c8c2489bdee5f2f
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-21 17:50:29 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-21 18:12:11 +0000

    ftp/curl: Enable LIBSSH2 option by default

    - Bump PORTREVISION for dependency change

    PR:             253939
    Requested by:   Dennis Clarke <dclarke@blastwave.org>

 ftp/curl/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-07-21 18:24:38 UTC
Committed. Thanks!